curl --request GET \
--url https://api.spacebring.com/plans/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/plans/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/plans/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"plans": [
{
"addons": [],
"commitmentCycles": 123,
"createDate": "2023-11-07T05:31:56Z",
"credits": 123,
"customTax": {
"enabled": true,
"rate": 123
},
"dayPasses": 123,
"description": "<string>",
"discounts": {
"creditPackages": 123,
"desks": 123,
"equipment": 123,
"events": 123,
"rooms": 123,
"shop": 123
},
"exclusiveAccess": {
"benefitRefs": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"resourceRefs": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"grantedDiscounts": [
{
"coupon": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amountOff": 123,
"currencyCode": "<string>",
"enabledForCredits": true,
"limitedItems": {
"enabled": true,
"values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "roomBookings",
"title": "<string>"
}
]
},
"limitedRedemption": {
"enabled": true,
"usage": 123,
"value": 123
},
"percentOff": 123,
"productTypes": [
"roomBookings"
]
}
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locale": "<string>",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period": "day",
"price": 123,
"selfSignup": {
"enabled": true,
"type": "immediate"
},
"setupFee": 123,
"title": "<string>",
"access": {
"avigilonAltaGroupRef": 123,
"brivoGroupRef": 123,
"kisiGroupRef": 123,
"saltoksAccessGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tapkeyGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unifiAccessGroupRef": "<string>"
},
"printing": {
"ezeepBlueGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
],
"nextPageToken": "<string>",
"searchQueryNext": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Retrieve plans
Retrieve all plans.
OAuth
Required scopes:plans.readonly or plansAuthorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
Deprecated. Only applies together with resourceRef. Filter the plans.tiers of GET /resources/v1/{resourceId} by their entire field instead. When listing plans for a resource, filter by entire resource vs partial tiers. Pass true or false.
Maximum number of plans per page. Defaults to 25 when omitted or invalid; values above 100 are capped at 100.
1 <= x <= 100UUID of the location whose plans to list.
Pagination token from nextPageToken in a previous response. Keep the same filters when fetching the next page.
Deprecated. Read plans.tiers from GET /resources/v1/{resourceId} instead. UUID of the resource whose tier plans to list.
Was this page helpful?